

#include "TYPES.h"
#include "ansi.h"
#include "FIFO_ReceiveQueue.h"
#include "PRIORITY_SendQueue.h"
#include "PRIORITY_ReceiveQueue.h"
#include "FIFO_SendQueue.h"

#include "BufferManager.h"
#include "EventManager.h"
#include "SemaphoreManager.h"
#include "BlackboardManager.h"
#include "SamplingPortManager.h"
#include "QueuingPortManager.h"

#include "Scheduler.h"

static ptScheduler GLOBAL_PROCESS_MANAGER = new Scheduler();            
static ptBufferManager GLOBAL_BUFFER_MANAGER = new BufferManager(5);
static ptEventManager GLOBAL_EVENT_MANAGER = new EventManager(5);
static ptSemaphoreManager GLOBAL_SEMAPHORE_MANAGER = new SemaphoreManager(5);
static ptBlackboardManager GLOBAL_BLACKBOARD_MANAGER = new BlackboardManager(5);
static ptSamplingPortManager GLOBAL_SAMPLINGPORT_MANAGER = new SamplingPortManager(5);
static ptQueuingPortManager GLOBAL_QUEUINGPORT_MANAGER = new QueuingPortManager(5);
