% 
 %
process equationSolving_POLY_TRA =
     ( ? real a, b, c;
       ! real x2, x1; 
         boolean oc;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| stable ^= biterate ^= next_yy ^= yy ^= mx ^= L492_next_yy_pre ^= next_stable ^= L503_next_stable_subexpr ^= s
    | [:next_stable and biterate] ^= x2 ^= L406_x1
    | [:next_stable and biterate] ^= L466_bb ^= L467_d
    | x2 := -((L466_bb-L467_d)/2.0)
    | L406_x1 := -((L466_bb+L467_d)/2.0)
    | L466_bb := L524_bb_cell when (next_stable and biterate)
    | L467_d := yy when (next_stable and biterate)
    | [:stable] ^= a ^= b ^= c ^= OK
    | [:stable] ^= L541_SecondDegree_var
    | [:OK] ^= bb ^= dd
    | [:OK] ^= cc ^= aa ^= L436_bb_subexpr ^= L440_cc_subexpr
    | [:dd>0.0] ^= d
    | d := dd when (dd>0.0)
    | [:dd=0.0] ^= L536_x2
    | [:dd=0.0] ^= x ^= L411_nul ^= L447_x_subexpr
    | x := (-L447_x_subexpr)/2.0
    | L411_nul := true when (^x)
    | L447_x_subexpr := bb when (dd=0.0)
    | L536_x2 := x
    | CLK_479 ^= [:dd=0.0] ^+ [:dd<0.0]
    | CLK_481 ^= [:dd>0.0] ^+ CLK_479
    | CLK_483 ^= [:dd>0.0] ^+ [:dd<0.0]
    | cc := L440_cc_subexpr/aa
    | bb := L436_bb_subexpr/aa
    | dd := (bb*bb)-(4.0*cc)
    | aa := a when OK
    | L436_bb_subexpr := b when OK
    | L440_cc_subexpr := c when OK
    | [/:OK] ^= L560_bb
    | [/:OK] ^= L547_equationSolving_var ^= L559_cc
    | [:L560_bb=0.0] ^= err2
    | err2 := (L559_cc/=0.0) when (L560_bb=0.0)
    | [/:L560_bb=0.0] ^= a2
    | [/:L560_bb=0.0] ^= cc1 ^= bb1
    | a2 := -(cc1/bb1)
    | cc1 := L559_cc when (not (L560_bb=0.0))
    | bb1 := L560_bb when (not (L560_bb=0.0))
    | L547_equationSolving_var := true when (^L559_cc)
    | L559_cc := c when (not OK)
    | L560_bb := b when (not OK)
    | % CLOCK of SUBTREE is represented by ^oc%
      oc ^= [:dd<0.0] ^+ [:L560_bb=0.0]
    | oc := [:dd<0.0] default err2
    | OK := a/=0.0
    | L541_SecondDegree_var := true when (^a)
    | IOStepequationSolving ^= [:next_stable and biterate] ^+ [:stable]
    | % CLOCK of SUBTREE is represented by ^L524_bb_cell%
      L524_bb_cell ^= [:next_stable and biterate] ^+ [:OK]
    | L524_bb_cell := bb cell (^L524_bb_cell) init 0.0e0
    | % CLOCK of SUBTREE is represented by ^a1%
      a1 ^= [:next_stable and biterate] ^+ [:dd=0.0]
    | a1 := L406_x1 default (L536_x2 when CLK_512)
    | CLK_495 ^= a1 ^+ [:dd<0.0]
    | % CLOCK of SUBTREE is represented by ^x1%
      x1 ^= a1 ^+ [/:L560_bb=0.0]
    | x1 := a1 default (a2 when CLK_515)
    | CLK_499 ^= x1 ^+ oc
    | CLK_509 ^= stable ^- [:dd>0.0]
    | CLK_512 ^= [:dd=0.0] ^- [:next_stable and biterate]
    | CLK_515 ^= [/:L560_bb=0.0] ^- a1
    | stable := next_stable$1 init true
    | biterate := [:dd>0.0] default ((not stable) when CLK_509)
    | next_yy := (((yy+(mx/yy))/2.0) when biterate) default (yy when (not biterate))
    | yy := (d/2.0) default (L492_next_yy_pre when CLK_509)
    | mx := d cell (^stable) init 0.0e0
    | L492_next_yy_pre := next_yy$1 init 1.0
    | next_stable := s<epsilon
    | L503_next_stable_subexpr := next_yy-yy
    | s := (L503_next_stable_subexpr when (L503_next_stable_subexpr>=0.0)) default ((-L503_next_stable_subexpr) when (not (L503_next_stable_subexpr>=0.0)))
    |)
   where 
   constant real epsilon = 0.00001; 
   event err1, L411_nul, L541_SecondDegree_var, L547_equationSolving_var, CLK_515, CLK_512, CLK_509, CLK_499, CLK_495, IOStepequationSolving, CLK_483, CLK_481, CLK_479; 
   real a2, a1, L406_x1, x, cc, bb, d, dd, aa, L436_bb_subexpr, L440_cc_subexpr, L447_x_subexpr, L466_bb, L467_d, next_yy, yy, mx, L492_next_yy_pre, L503_next_stable_subexpr, s, L524_bb_cell, L536_x2, L559_cc, L560_bb, cc1, bb1; 
   boolean err2, OK, stable, biterate, next_stable;
   end
; 
