process SecondDegree_ABSTRACT =
     ( ? real a, b, c;
       ! boolean err;
         real x21, x2;
         boolean stable, C_bb, OK, C_err, C_x21;
     )
     spec (| (| {a, b, c} --> {err, x21, x2}
              | {{a, b, c} --> C_bb} when C_bb
              | {a --> OK} when OK
              | {{a, b, c} --> C_err} when C_err
              | {{a, b, c} --> C_x21} when C_x21
              |)
           | (| stable ^= C_bb ^= C_x21
              | when stable ^= a ^= b ^= c ^= OK
              | when C_bb ^= x2
              | when OK ^= C_err
              | when C_err ^= err
              | when C_x21 ^= x21
              |)
           |)
   pragmas 
      BlackBox "SecondDegree"
   end pragmas
   external "C"
%SecondDegree_ABSTRACT%; 
