
#ifndef __FIFO_TYPES_H__
#define __FIFO_TYPES_H__

#include <cstring> 
#include <cstdlib>
#include <cstdio>

// import pK_string : why ?
#define pK_MAXSTRINGLENGTH_ 256
typedef char pK_String [pK_MAXSTRINGLENGTH_];


// ---

#define MAX_NUMBER_OF_FIFOS 100
#define MAX_FIFO_MESSAGE_SIZE 1024
#define MAX_FIFO_SIZE 8*MAX_FIFO_MESSAGE_SIZE
#define MAX_QUEUE_SIZE 30

typedef int Data_type; // ????

typedef int ID_type;
typedef class FIFO * ptFIFO;
typedef struct FIFOAssoc_type* ptFIFOAssoc_type;
typedef struct FIFO_type* ptFIFO_type;

struct FIFO_type
{
  pK_String name;
  int size; 
  int nbmsg; 
  Data_type fifo_queue[MAX_QUEUE_SIZE]; 
};

class FIFO
{
 public :
  ptFIFO_type vfifo;
  FIFO(ptFIFO_type b);
};

/* Type of the contents of a manager node */
struct FIFOAssoc_type
{
  ID_type FIFOID; /* Identifier of a FIFO. */  
  ptFIFO ptrFIFO; /* pointer on a FIFO structure  */
};

#endif
