
#define ACTIVE_POWER " ACTIVE POWER "
#define REACTIVE_POWER " REACTIVE POWER "

/*
=========================
CHRONOGRAMME DRAWING AREA
=========================
*/
/*
SIGNAL CALLING PROGRAM PARAMETERS
---------------------------------
*/

#define DELTA 2
#define  TICK_WIDTH 1
#define  TICK_HEIGHT 20
/*  CANVAS_HEIGHT = hauteur des canevas (valeur normale 17*20) */
#define  CANVAS_HEIGHT 185
#define  screen_x 15*60


static void mkfenetre_active(Widget w, Widget *canvas1, Widget *canvas2)
{
  Widget puissance_active;
  puissance_active  = make_label(ACTIVE_POWER,  w, TEXT_HEIGHT, screen_x + 40, 1);

  *canvas2 = XtVaCreateManagedWidget("canvas2", xmDrawingAreaWidgetClass, w, 
					XmNborderWidth, 0,
					XmNwidth, 40, XmNheight, CANVAS_HEIGHT, 
					XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, puissance_active,
					XmNbottomAttachment, XmATTACH_FORM, NULL);

  *canvas1 = XtVaCreateManagedWidget("canvas1", xmDrawingAreaWidgetClass, w, 
					XmNborderWidth, 0,
					XmNwidth, screen_x, XmNheight, CANVAS_HEIGHT, 
					XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, puissance_active,
					XmNleftAttachment, XmATTACH_WIDGET, XmNleftWidget, *canvas2,
					XmNbottomAttachment, XmATTACH_FORM, NULL);

}


static void mkfenetre_reactive(Widget w, Widget *canvas1, Widget *canvas2)
{
  Widget puissance_active;

  puissance_active  = make_label(REACTIVE_POWER,  w, TEXT_HEIGHT, screen_x + 40, 1);

  *canvas2 = XtVaCreateManagedWidget("recanvas2", xmDrawingAreaWidgetClass, w, 
					XmNborderWidth, 0,
					XmNwidth, 40, XmNheight, CANVAS_HEIGHT, 
					XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, puissance_active,
					XmNbottomAttachment, XmATTACH_FORM, NULL);

  *canvas1 = XtVaCreateManagedWidget("recanvas1", xmDrawingAreaWidgetClass, w, 
					XmNborderWidth, 0,
					XmNwidth, screen_x, XmNheight, CANVAS_HEIGHT, 
					XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, puissance_active,
					XmNleftAttachment, XmATTACH_WIDGET, XmNleftWidget, *canvas2,
					XmNbottomAttachment, XmATTACH_FORM, NULL);

}

static void mk_curves(Widget toplevel,  Widget *canvas1, Widget * canvas2, Widget *canvas3, Widget * canvas4)
{
  Widget frame_widg, fenetre_active, fenetre_reactive;

  frame_widg = XtVaCreateManagedWidget("frame", xmFormWidgetClass, toplevel, NULL);

  fenetre_active = XtVaCreateManagedWidget("fenetre_active", xmFormWidgetClass, frame_widg, XmNborderWidth, 2, NULL);
  mkfenetre_active(fenetre_active, canvas1, canvas2);


  fenetre_reactive = XtVaCreateManagedWidget("fenetre_reactive", xmFormWidgetClass, frame_widg,
					     XmNborderWidth, 2,
					     XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, fenetre_active,
					     NULL);
  
  mkfenetre_reactive(fenetre_reactive, canvas3, canvas4);
}




