% 
 %
process equationSolving_SCH_TRA =
     ( ? real a, b, c;
       ! real x2, x1; 
         boolean oc;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| [:Tick] ^= Tick
    | [:stable] ^= a ^= b ^= c
    | [:C_oc] ^= oc
    | L700_nlabel :: equationSolving_Cluster_3{}
    | L700_nlabel ^= [:stable]
    | [:L596_x1] ^= x2
    | [:C_x1] ^= x1
    | L698_nlabel :: equationSolving_Cluster_1{}
    | L698_nlabel ^= [:Tick]
    | L699_nlabel :: equationSolving_Cluster_2{}
    | L699_nlabel ^= [:Tick]
    | L701_nlabel :: equationSolving_Cluster_4{}
    | L701_nlabel ^= [:Tick]
    | L715_nlabel :: equationSolving_STATES{}
    | L715_nlabel ^= [:Tick]
    | Tick := true when Tick
    | (| L701_nlabel --> L698_nlabel
       | L700_nlabel --> L698_nlabel
       | L699_nlabel --> L698_nlabel
       | L699_nlabel --> L700_nlabel
       | L699_nlabel --> L701_nlabel
       |)
    | (| stable --> L492_next_yy_pre
       | C_CLK_515 --> L467_d
       | C_CLK_512 --> C_CLK_515
       | C_CLK_509 --> biterate
       | C_x1 --> C_CLK_512
       | C_oc --> oc
       | L650_err1 --> d
       | L645_extended_x2 --> C_CLK_509
       | L639_x2 --> L650_err1
       | L628_d --> L639_x2
       | C_bb_cell --> C_a1
       | L617_bb1 --> bb1
       | L614_extended_err2 --> L623_extended_bb1
       | L609_bb --> aa
       | C_IOStepequationSolving --> C_bb_cell
       | CLK_370 --> s
       | L589_FF_biterate --> next_yy
       | bb1 --> L614_extended_err2
       | L536_x2 --> L653_extended_err1
       | mx --> L645_extended_x2
       | yy --> L589_FF_biterate
       | biterate --> yy
       | L467_d --> L524_bb_cell
       | aa --> L607_extended_OK
       | d --> L447_x_subexpr
       | bb --> L560_bb
       | cc --> L559_cc
       | a2 --> dd
       | err2 --> cc1
       | oc --> L634_extended_d
       | x2 --> L406_x1
       |) %   Reinforcing dependencies (scheduling) %
    |)
   where 
   constant real epsilon = 0.00001; 
   event Tick; 
   real a2, a1, L406_x1, x, cc, bb, d, dd, aa, L436_bb_subexpr, L440_cc_subexpr, L447_x_subexpr, L466_bb, L467_d, next_yy, yy, mx, L492_next_yy_pre, L503_next_stable_subexpr, s, L524_bb_cell, L536_x2, L559_cc, L560_bb, cc1, bb1; 
   boolean err2, OK, stable, biterate, next_stable, L589_FF_biterate, CLK_369, CLK_370, L596_x1, C_IOStepequationSolving, L607_extended_OK, L609_bb, L611_err2, L614_extended_err2, L617_bb1, L623_extended_bb1, C_bb_cell, L628_d, L634_extended_d, L639_x2, 
          L645_extended_x2, L650_err1, L653_extended_err1, C_a1, C_oc, C_x1, C_CLK_509, C_CLK_512, C_CLK_515; 
   label L700_nlabel, L700_nlabel, L698_nlabel, L698_nlabel, L699_nlabel, L699_nlabel, L701_nlabel, L701_nlabel, L715_nlabel, L715_nlabel; 
   process equationSolving_Cluster_3 =
        ( ? real c; 
            boolean OK, stable; 
            real aa; 
            boolean L609_bb;
        )
      pragmas 
         Cluster {a,c}
      end pragmas
      (| cc := L440_cc_subexpr/aa
       | L440_cc_subexpr := c when OK
       | L559_cc := c when L609_bb
       |)
   ; 
   process equationSolving_Cluster_1 =
        ( ? boolean OK, stable; 
            real cc, bb, L492_next_yy_pre, L559_cc, bb1; 
            boolean L607_extended_OK, L609_bb, L611_err2, L614_extended_err2, L617_bb1, L623_extended_bb1;
          ! real x2, x1; 
            boolean oc;
        )
      pragmas 
         Cluster {a,b,c}
      end pragmas
      (| x2 := -((L466_bb-L467_d)/2.0)
       | x1 := a1 default (a2 when C_CLK_515)
       | oc := (true when L650_err1) default err2
       | err2 := (L559_cc/=0.0) when L611_err2
       | a2 := -(cc1/bb1)
       | a1 := L406_x1 default (L536_x2 when C_CLK_512)
       | L406_x1 := -((L466_bb+L467_d)/2.0)
       | x := (-L447_x_subexpr)/2.0
       | d := dd when L628_d
       | dd := (bb*bb)-(4.0*cc)
       | L447_x_subexpr := bb when L639_x2
       | L466_bb := L524_bb_cell when L596_x1
       | L467_d := yy when L596_x1
       | biterate := (true when L628_d) default ((not stable) when C_CLK_509)
       | next_yy := (((yy+(mx/yy))/2.0) when biterate) default (yy when L589_FF_biterate)
       | yy := (d/2.0) default (L492_next_yy_pre when C_CLK_509)
       | mx := d cell Tick init 0.0e0
       | next_stable := s<epsilon
       | L503_next_stable_subexpr := next_yy-yy
       | s := (L503_next_stable_subexpr when CLK_369) default ((-L503_next_stable_subexpr) when CLK_370)
       | L524_bb_cell := bb cell C_bb_cell init 0.0e0
       | L536_x2 := x
       | cc1 := L559_cc when L617_bb1
       | L589_FF_biterate := not biterate
       | CLK_369 := L503_next_stable_subexpr>=0.0
       | CLK_370 := not CLK_369
       | L596_x1 := next_stable and biterate
       | C_IOStepequationSolving := L596_x1 or stable
       | C_bb_cell := L596_x1 or L607_extended_OK
       | L628_d := dd>0.0
       | L634_extended_d := left_tt ( L628_d,stable )
       | L639_x2 := dd=0.0
       | L645_extended_x2 := left_tt ( L639_x2,stable )
       | L650_err1 := dd<0.0
       | L653_extended_err1 := left_tt ( L650_err1,OK )
       | C_a1 := L596_x1 or L645_extended_x2
       | C_oc := L653_extended_err1 or L614_extended_err2
       | C_x1 := C_a1 or L623_extended_bb1
       | C_CLK_509 := not L634_extended_d
       | C_CLK_512 := (not L596_x1) and L645_extended_x2
       | C_CLK_515 := (not C_a1) and L623_extended_bb1
       |)
      where 
      event Tick;
      end
   ; 
   process equationSolving_Cluster_2 =
        ( ? real a; 
            boolean stable;
        )
      pragmas 
         Cluster {a}
      end pragmas
      (| OK := a/=0.0
       | aa := a when OK
       | L607_extended_OK := left_tt ( OK,stable )
       | L609_bb := not OK
       |)
   ; 
   process equationSolving_Cluster_4 =
        ( ? real b; 
            boolean OK, stable; 
            real aa; 
            boolean L609_bb;
        )
      pragmas 
         Cluster {a,b}
      end pragmas
      (| bb := L436_bb_subexpr/aa
       | L436_bb_subexpr := b when OK
       | L560_bb := b when L609_bb
       | bb1 := L560_bb when L617_bb1
       | L611_err2 := L560_bb=0.0
       | L614_extended_err2 := left_tt ( L611_err2,L609_bb )
       | L617_bb1 := not L611_err2
       | L623_extended_bb1 := left_tt ( L617_bb1,stable )
       |)
   ; 
   process equationSolving_STATES =
        ( ? real next_yy; 
            boolean next_stable;
        )
      pragmas 
         State
         Cluster
      end pragmas
      (| stable := next_stable$1 init true
       | L492_next_yy_pre := next_yy$1 init 1.0
       |)
   ;
   end
%(| err1 := true when L650_err1
  | L411_nul := true when L639_x2
  | L541_SecondDegree_var := true when stable
  | L547_equationSolving_var := true when L609_bb
  | CLK_377 := not L596_x1
  | L601_FF_stable := not stable
  | L620_extended_bb1 := left_tt ( L617_bb1,L609_bb )
  | L631_extended_d := left_tt ( L628_d,OK )
  | CLK_317 := not L628_d
  | L642_extended_x2 := left_tt ( L639_x2,OK )
  | CLK_321 := not L639_x2
  | L656_extended_err1 := left_tt ( L650_err1,stable )
  | CLK_323 := not L650_err1
  | C_CLK_479 := L639_x2 or L650_err1
  | C_CLK_481 := L628_d or C_CLK_479
  | C_CLK_483 := L628_d or L650_err1
  | L677_extended_C_oc := left_tt ( C_oc,stable )
  | C_CLK_495 := C_a1 or L656_extended_err1
  | C_CLK_499 := C_x1 or L677_extended_C_oc
  |)**WARNING: unused signals %; 
