module M_Q1_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   constant HomoType d_epsilon = external;
   process Q1_COST =
        ( ? boolean error_253, C_316, C_309, C_299, C_350, C_, C_cc_328, C_304, stable, C_C_error, OK, C_error, C_302, C_278, C_281;
            HomoType d_c, d_b, d_a, d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error;
          ! HomoType d_error, d_x1, d_x2, d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
        )
      pragmas 
         main
      end pragmas
      (| (| CLK_stable := ^C_316
          | CLK_stable ^= C_316 ^= C_309 ^= stable ^= C_278 ^= C_281 ^= d_stable ^= d_C_y ^= d_C_x1
          | ACT_CLK_stable{}
          |) |)
      where 
      event CLK_stable;
      process ACT_CLK_stable =
           ( )
         (| CLK_stable ^= C_y ^= C_x1 ^= next_stable ^= C__315 ^= C_cc_334 ^= C__354 ^= C_x21 ^= C_372 ^= C_285 ^= C_C_error_290 ^= OK_294 ^= C_324 ^= C_327 ^= C_375 ^= C_409 ^= d_stable_internal ^= d_C_y_internal ^= d_C_x1_internal ^= d_next_stable ^= 
            d_yy ^= d_XZX_156 ^= d_mx ^= d_next_yy ^= d_s ^= d_x_169 ^= d_C_278 ^= d_C_281 ^= d_C__315 ^= d_C_cc_334 ^= d_C__354 ^= d_C_x21 ^= d_C_372 ^= d_C_285 ^= d_C_C_error_290 ^= d_OK_294 ^= d_C_309 ^= d_C_316 ^= d_C_324 ^= d_C_327 ^= d_C_375 ^= 
            d_C_409 ^= d_CLK_stable ^= done ^= done_986 ^= done_998 ^= done_1015 ^= done_1026 ^= done_1038 ^= done_1049 ^= done_1059 ^= done_1066 ^= done_1087 ^= done_1097 ^= done_1105 ^= done_1113 ^= XZX_1119 ^= done_1120 ^= XZX_1127 ^= done_1128 ^= 
            done_1138 ^= done_1148 ^= done_1160 ^= done_1171 ^= done_1190 ^= done_1201 ^= done_1211 ^= done_1230 ^= done_1246 ^= done_1256 ^= done_1270 ^= done_1278 ^= XZX_1287 ^= done_1288 ^= XZX_1299 ^= done_1300 ^= done_1310 ^= done_1331 ^= done_1342 ^=
            done_1354 ^= done_1364 ^= done_1375 ^= done_1386 ^= XZX_1395 ^= done_1396 ^= XZX_1407 ^= done_1408 ^= XZX_1417 ^= done_1418 ^= XZX_1430 ^= XZX_1436 ^= done_1437 ^= XZX_1449 ^= done_1450 ^= done_1469 ^= XZX_1478 ^= done_1479 ^= XZX_1488 ^= 
            done_1489 ^= XZX_1501 ^= done_1502 ^= done_1513 ^= done_1527 ^= XZX_1540 ^= done_1546 ^= XZX_1552 ^= done_1553 ^= XZX_1566 ^= done_1573 ^= done_1581 ^= done_1600 ^= XZX_1609 ^= done_1610 ^= XZX_1626 ^= done_1627 ^= done_1638 ^= XZX_1647 ^= 
            done_1648 ^= XZX_1664 ^= done_1665 ^= done_1676 ^= done_1684 ^= XZX_1690 ^= done_1691 ^= XZX_1698 ^= done_1699 ^= done_1709 ^= done_1717 ^= done_1727 ^= done_1746 ^= done_1762 ^= done_1772 ^= done_1782 ^= done_1790 ^= done_1803 ^= done_1824 ^= 
            done_1839 ^= done_1849 ^= done_1859 ^= done_1869 ^= done_1883 ^= done_1893 ^= done_1900 ^= done_1919 ^= done_1927 ^= done_1935 ^= done_1954 ^= done_1961 ^= done_1981 ^= done_2000 ^= done_2014 ^= XZX_2020 ^= done_2021 ^= done_2036 ^= done_2043 
            ^= done_2050 ^= done_2058 ^= done_2065 ^= done_2085 ^= done_2093 ^= done_2101 ^= done_2109 ^= XZX_2118 ^= done_2119 ^= done_2136 ^= XZX_2142 ^= done_2143 ^= done_2153 ^= done_2161 ^= done_2169 ^= done_2181 ^= done_2189 ^= done_2197 ^= 
            done_2205 ^= done_2213 ^= done_2221 ^= done_2229 ^= done_2237 ^= done_2245 ^= done_2253 ^= done_2261 ^= done_2269 ^= done_2277 ^= done_2285 ^= done_2293 ^= done_2301 ^= done_2309 ^= done_2319 ^= done_2332 ^= done_2345 ^= done_2358 ^= done_2371 
            ^= done_2397 ^= done_2410 ^= done_2422 ^= done_2434 ^= done_2446 ^= done_2458 ^= done_2470 ^= done_2482 ^= done_2494 ^= done_2506
          | (| CLK_c := when stable
             | CLK_c ^= C_C_error ^= OK ^= d_c_internal ^= d_b_internal ^= d_a_internal ^= d_OK_internal ^= d_C_error_360_internal ^= d_C_C_error ^= d_C_error_330 ^= d_C_320_366 ^= d_C_403 ^= d_CLK_c ^= XZX_1065 ^= XZX_1079 ^= XZX_1913 ^= d_c ^= d_b ^= 
               d_a ^= d_C_cc ^= d_OK ^= d_C_error_360
             | ACT_CLK_c{}
             |)
          | (| CLK_311 := when C_278
             | CLK_311 ^= d_CLK_19
             |)
          | (| CLK_312 := when C_281
             | CLK_312 ^= d_CLK_24
             |)
          | (| CLK_420 := when C_324
             | CLK_420 ^= d_CLK_518 ^= XZX_1657
             | XZX_1657 := CostConst{__TC__#_logical}()
             |)
          | (| CLK_422 := when C_327
             | CLK_422 ^= d_CLK_520 ^= XZX_1619
             | XZX_1619 := CostConst{__TC__#_logical}()
             |)
          | (| CLK_426 := when C_372
             | CLK_426 ^= d_CLK_564
             |)
          | (| CLK_446 := when C_409
             | CLK_446 ^= d_CLK_580
             |)
          | (| CLK_x2 := when C_y
             | CLK_x2 ^= d_x2_internal ^= d_x_199 ^= d_x_190 ^= d_y ^= d_bb_131 ^= d_CLK_x2_0 ^= XZX_1210 ^= XZX_1223 ^= XZX_1229 ^= XZX_1726 ^= XZX_1739 ^= XZX_1745 ^= d_x2
             | ACT_CLK_x2{}
             |)
          | (| CLK_x21 := when C_x21
             | CLK_x21 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1147 ^= XZX_1159
             |)
          | (| CLK_XZX_186 := when C__354
             | CLK_XZX_186 ^= d_XZX_186 ^= d_CLK_XZX_186_0
             |)
          | (| CLK_x1 := when C_x1
             | CLK_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX_1025 ^= XZX_1037 ^= d_x1
             |)
          | (| C_y := C_409 and next_stable
             | C_x1 := C_x21 or ((not C_x21) and C_cc_334)
             | next_stable := C_309 and C_316
             | C__315 := (C_ when CLK_bb) default (not CLK_422)
             | C_cc_334 := (C_cc_328 when CLK_C_cc_328) default (not CLK_420)
             | C__354 := C_y or OK_294
             | C_x21 := C_y or ((not C_y) and C__315)
             | C_372 := C_327 or C_375
             | C_285 := not stable
             | C_C_error_290 := left_tt ( C_C_error,stable )
             | OK_294 := left_tt ( OK,stable )
             | C_324 := not C_C_error_290
             | C_327 := not OK_294
             | C_375 := left_tt ( C_369,stable )
             | C_409 := C_285 or (not C_372)
             | (XZX,done_986) := CostWhen{__TC__#_logical}(d_error_253_internal,d_CLK_error_253,NilHomoTypeValue when CLK_error)
             | (XZX_997,done_998) := CostWhen{__TC__#_event}(XZX_1008,d_CLK_548,NilHomoTypeValue when CLK_error)
             | (d_error_internal,done) := CostDefault{__TC__#_logical}(XZX_997,XZX,d_CLK_error_0,NilHomoTypeValue when CLK_error)
             | (XZX_1025,done_1026) := CostWhen{__TC__#_real}(d_x_internal,d_CLK_x,NilHomoTypeValue when CLK_x1)
             | (XZX_1037,done_1038) := CostWhen{__TC__#_real}(d_x21,d_CLK_x21_0,NilHomoTypeValue when CLK_x1)
             | (d_x1_internal,done_1015) := CostDefault{__TC__#_real}(XZX_1037,XZX_1025,d_CLK_x1_0,NilHomoTypeValue when CLK_x1)
             | (d_x2_internal,done_1049) := CostRenaming{__TC__#_real}(d_x_190,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1065,done_1066) := CostEQ{__TC__#_real,__TC__#_real}(XZX_1079,d_a_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_OK_internal,done_1059) := CostNot(XZX_1065,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_stable_internal,done_1087) := CostDelay{__TC__#_logical}(d_next_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_y_internal,done_1097) := CostAnd(d_C_409,d_next_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_error_360_internal,done_1105) := CostOr(d_C_error_330,d_C_320_366,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (XZX_1127,done_1128) := CostNot(d_C_x21,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1119,done_1120) := CostAnd(XZX_1127,d_C_cc_334,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_x1_internal,done_1113) := CostOr(d_C_x21,XZX_1119,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1147,done_1148) := CostWhen{__TC__#_real}(d_x0,d_CLK_x0_0,NilHomoTypeValue when CLK_x21)
             | (XZX_1159,done_1160) := CostWhen{__TC__#_real}(d_x_199,d_CLK_x2_0,NilHomoTypeValue when CLK_x21)
             | (d_x21,done_1138) := CostDefault{__TC__#_real}(XZX_1159,XZX_1147,d_CLK_x21_0,NilHomoTypeValue when CLK_x21)
             | (XZX_1189,done_1190) := CostUMinus{__TC__#_real}(d_XZX_111,d_CLK_x0_0,NilHomoTypeValue when CLK_x0)
             | (d_x0,done_1171) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1189,XZX_1183,d_CLK_x0_0,NilHomoTypeValue when CLK_x0)
             | (XZX_1229,done_1230) := CostPlus{__TC__#_real,__TC__#_real}(d_bb_131,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1210,done_1211) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1229,XZX_1223,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_x_199,done_1201) := CostUMinus{__TC__#_real}(XZX_1210,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_d,done_1246) := CostWhen{__TC__#_real}(d_dd,d_CLK_d_0,NilHomoTypeValue when CLK_d)
             | (d_bb,done_1256) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX,d_aa,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_next_stable,done_1270) := CostAnd(d_C_309,d_C_316,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1287,done_1288) := CostWhen{__TC__#_real}(d_XZX_156,d_CLK_564,NilHomoTypeValue when CLK_stable)
             | (XZX_1309,done_1310) := CostDivi{__TC__#_real,__TC__#_real}(d_d,XZX_1322,d_CLK_d_0,NilHomoTypeValue when CLK_d)
             | (XZX_1299,done_1300) := CostWhen{__TC__#_real}(XZX_1309,d_CLK_d_0,NilHomoTypeValue when CLK_stable)
             | (d_yy,done_1278) := CostDefault{__TC__#_real}(XZX_1299,XZX_1287,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1341,done_1342) := CostWhen{__TC__#_real}(d_bb,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_XZX_186,done_1331) := CostCell{__TC__#_real}(XZX_1341,d_CLK_XZX_186_0,d_CLK_XZX_186_0,NilHomoTypeValue when CLK_XZX_186)
             | (d_XZX_156,done_1354) := CostDelay{__TC__#_real}(d_next_yy,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1374,done_1375) := CostWhen{__TC__#_real}(d_d,d_CLK_d_0,NilHomoTypeValue when CLK_d)
             | (d_mx,done_1364) := CostCell{__TC__#_real}(XZX_1374,d_CLK_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1395,done_1396) := CostWhen{__TC__#_real}(d_yy,d_CLK_576,NilHomoTypeValue when CLK_stable)
             | XZX_1430 := CostConst{__TC__#_real}()
             | (XZX_1449,done_1450) := CostDivi{__TC__#_real,__TC__#_real}(d_mx,d_yy,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1436,done_1437) := CostPlus{__TC__#_real,__TC__#_real}(d_yy,XZX_1449,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1417,done_1418) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1436,XZX_1430,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1407,done_1408) := CostWhen{__TC__#_real}(XZX_1417,d_CLK_580,NilHomoTypeValue when CLK_stable)
             | (d_next_yy,done_1386) := CostDefault{__TC__#_real}(XZX_1407,XZX_1395,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1488,done_1489) := CostUMinus{__TC__#_real}(d_x_169,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1478,done_1479) := CostWhen{__TC__#_real}(XZX_1488,d_CLK_24,NilHomoTypeValue when CLK_stable)
             | (XZX_1501,done_1502) := CostWhen{__TC__#_real}(d_x_169,d_CLK_19,NilHomoTypeValue when CLK_stable)
             | (d_s,done_1469) := CostDefault{__TC__#_real}(XZX_1501,XZX_1478,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_x_169,done_1513) := CostMinus{__TC__#_real,__TC__#_real}(d_next_yy,d_yy,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | XZX_1540 := CostConst{__TC__#_real}()
             | (d_C_278,done_1527) := CostLEQ{__TC__#_real,__TC__#_real}(XZX_1540,d_x_169,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | XZX_1566 := CostConst{__TC__#_real}()
             | (XZX_1552,done_1553) := CostLEQ{__TC__#_real,__TC__#_real}(XZX_1566,d_x_169,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_281,done_1546) := CostNot(XZX_1552,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_d,done_1573) := CostAnd(d_C_350,d_C_299,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_,done_1581) := CostEQ{__TC__#_real,__TC__#_real}(XZX_1594,d_dd,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (XZX_1609,done_1610) := CostWhen{__TC__#_logical}(XZX_1619,d_CLK_520,NilHomoTypeValue when CLK_stable)
             | (XZX_1626,done_1627) := CostWhen{__TC__#_logical}(d_C_,d_CLK_bb_0,NilHomoTypeValue when CLK_stable)
             | (d_C__315,done_1600) := CostDefault{__TC__#_logical}(XZX_1626,XZX_1609,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1647,done_1648) := CostWhen{__TC__#_logical}(XZX_1657,d_CLK_518,NilHomoTypeValue when CLK_stable)
             | (XZX_1664,done_1665) := CostWhen{__TC__#_logical}(d_C_cc_328_internal,d_CLK_C_cc_328_0,NilHomoTypeValue when CLK_stable)
             | (d_C_cc_334,done_1638) := CostDefault{__TC__#_logical}(XZX_1664,XZX_1647,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C__354,done_1676) := CostOr(d_C_y_internal,d_OK_294,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1698,done_1699) := CostNot(d_C_y_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1690,done_1691) := CostAnd(XZX_1698,d_C__315,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_x21,done_1684) := CostOr(d_C_y_internal,XZX_1690,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_372,done_1709) := CostOr(d_C_327,d_C_375,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1745,done_1746) := CostMinus{__TC__#_real,__TC__#_real}(d_bb_131,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1726,done_1727) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1745,XZX_1739,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_x_190,done_1717) := CostUMinus{__TC__#_real}(XZX_1726,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_y,done_1762) := CostWhen{__TC__#_real}(d_yy,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_bb_131,done_1772) := CostWhen{__TC__#_real}(d_XZX_186,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_C_320,done_1782) := CostAnd(d_C_350,d_C_304,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (XZX_1802,done_1803) := CostMult{__TC__#_real,__TC__#_real}(XZX_1816,d_cc,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (XZX_1823,done_1824) := CostMult{__TC__#_real,__TC__#_real}(d_bb,d_bb,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_dd,done_1790) := CostMinus{__TC__#_real,__TC__#_real}(XZX_1823,XZX_1802,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_aa,done_1839) := CostWhen{__TC__#_real}(d_a_internal,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_XZX,done_1849) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_XZX_105,done_1859) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_cc,done_1869) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_105,d_aa,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_XZX_111,done_1883) := CostWhen{__TC__#_real}(d_bb,d_CLK_x0_0,NilHomoTypeValue when CLK_x0)
             | (d_C_285,done_1893) := CostNot(d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_C_error,done_1900) := CostEQ{__TC__#_real,__TC__#_real}(XZX_1913,d_a_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_C_error_290,done_1919) := CostLeftTT(d_C_C_error,d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_OK_294,done_1927) := CostLeftTT(d_OK_internal,d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_299,done_1935) := CostLEQ{__TC__#_real,__TC__#_real}(XZX_1948,d_dd,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (XZX_1960,done_1961) := CostLEQ{__TC__#_real,__TC__#_real}(XZX_1974,d_dd,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_302,done_1954) := CostNot(XZX_1960,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_304,done_1981) := CostLEQ{__TC__#_real,__TC__#_real}(d_dd,XZX_1993,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_309,done_2000) := CostLEQ{__TC__#_real,__TC__#_real}(d_s,d_epsilon,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_2020,done_2021) := CostEQ{__TC__#_real,__TC__#_real}(d_epsilon,d_s,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_316,done_2014) := CostNot(XZX_2020,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_324,done_2036) := CostNot(d_C_C_error_290,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_327,done_2043) := CostNot(d_OK_294,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_error_330,done_2050) := CostLeftTT(d_C_error_internal,d_C_C_error,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (XZX_2064,done_2065) := CostEQ{__TC__#_real,__TC__#_real}(XZX_2078,d_dd,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_350,done_2058) := CostNot(XZX_2064,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_320_366,done_2085) := CostLeftTT(d_C_320,d_OK_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_369,done_2093) := CostOr(d_C_,d_C_302,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_C_375,done_2101) := CostLeftTT(d_C_369,d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_2118,done_2119) := CostAnd(d_C_372,d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_403,done_2109) := CostWhen{__TC__#_logical}(XZX_2118,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (XZX_2142,done_2143) := CostNot(d_C_372,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_409,done_2136) := CostOr(d_C_285,XZX_2142,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_c,done_2153) := CostWhen1(d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_error_253,done_2161) := CostWhen1(d_C_error_internal,d_CLK_C_cc_328_0,NilHomoTypeValue when CLK_C_cc_328)
             | (d_CLK_x,done_2169) := CostWhen1(d_C_cc_328_internal,d_CLK_C_cc_328_0,NilHomoTypeValue when CLK_C_cc_328)
             | d_CLK_stable := CostConst{__TC__#_event}()
             | (d_CLK_x0_0,done_2181) := CostWhen1(d_C_,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_CLK_C_cc_328_0,done_2189) := CostWhen1(d_C_C_error,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_CLK_bb_0,done_2197) := CostWhen1(d_OK_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_CLK_19,done_2205) := CostWhen1(d_C_278,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_24,done_2213) := CostWhen1(d_C_281,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_d_0,done_2221) := CostWhen1(d_C_d,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_CLK_548,done_2229) := CostWhen1(d_C_320,d_CLK_bb_0,NilHomoTypeValue when CLK_bb)
             | (d_CLK_error_0,done_2237) := CostWhen1(d_C_error_360_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_CLK_518,done_2245) := CostWhen1(d_C_324,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_520,done_2253) := CostWhen1(d_C_327,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_564,done_2261) := CostWhen1(d_C_372,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_576,done_2269) := CostWhen1(d_C_403,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_CLK_580,done_2277) := CostWhen1(d_C_409,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x2_0,done_2285) := CostWhen1(d_C_y_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x21_0,done_2293) := CostWhen1(d_C_x21,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_XZX_186_0,done_2301) := CostWhen1(d_C__354,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x1_0,done_2309) := CostWhen1(d_C_x1_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_c_internal,done_2319) := CostInput{__TC__#_real}(d_c,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_b_internal,done_2332) := CostInput{__TC__#_real}(d_b,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_a_internal,done_2345) := CostInput{__TC__#_real}(d_a,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_x_internal,done_2358) := CostInput{__TC__#_real}(d_x,d_CLK_x,NilHomoTypeValue when CLK_x)
             | (d_error_253_internal,done_2371) := CostInput{__TC__#_logical}(d_error_253,d_CLK_error_253,NilHomoTypeValue when CLK_error_253)
             | (d_C_cc_328_internal,done_2397) := CostInput{__TC__#_logical}(d_C_cc_328,d_CLK_C_cc_328_0,NilHomoTypeValue when CLK_C_cc_328)
             | (d_C_error_internal,done_2410) := CostInput{__TC__#_logical}(d_C_error,d_CLK_C_cc_328_0,NilHomoTypeValue when CLK_C_cc_328)
             | (d_error,done_2422) := CostOutput{__TC__#_logical}(d_error_internal,d_CLK_error_0,NilHomoTypeValue when CLK_error)
             | (d_x1,done_2434) := CostOutput{__TC__#_real}(d_x1_internal,d_CLK_x1_0,NilHomoTypeValue when CLK_x1)
             | (d_x2,done_2446) := CostOutput{__TC__#_real}(d_x2_internal,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_OK,done_2458) := CostOutput{__TC__#_logical}(d_OK_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_stable,done_2470) := CostOutput{__TC__#_logical}(d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_y,done_2482) := CostOutput{__TC__#_logical}(d_C_y_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_error_360,done_2494) := CostOutput{__TC__#_logical}(d_C_error_360_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
             | (d_C_x1,done_2506) := CostOutput{__TC__#_logical}(d_C_x1_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             |)
          |)
         where 
         event CLK_x1, CLK_XZX_186, CLK_x21, CLK_x2, CLK_446, CLK_426, CLK_422, CLK_420, CLK_error, CLK_d, CLK_312, CLK_311, CLK_bb, CLK_C_cc_328, CLK_x0, CLK_x, CLK_error_253, CLK_c;
         boolean C_y, C_x1, next_stable, C__315, C_cc_334, C__354, C_x21, C_372, C_285, C_C_error_290, OK_294, C_324, C_327, C_369, C_375, C_409;
         HomoType d_c_internal, d_b_internal, d_a_internal, d_x_internal, d_error_253_internal, d_C_cc_328_internal, d_C_error_internal, d_error_internal, d_x1_internal, d_x2_internal, d_OK_internal, d_stable_internal, d_C_y_internal, 
                  d_C_error_360_internal, d_C_x1_internal, d_x21, d_x0, d_x_199, d_d, d_bb, d_next_stable, d_yy, d_XZX_186, d_XZX_156, d_mx, d_next_yy, d_s, d_x_169, d_C_278, d_C_281, d_C_d, d_C_, d_C__315, d_C_cc_334, d_C__354, d_C_x21, d_C_372, 
                  d_x_190, d_y, d_bb_131, d_C_320, d_dd, d_aa, d_XZX, d_XZX_105, d_cc, d_XZX_111, d_C_285, d_C_C_error, d_C_C_error_290, d_OK_294, d_C_299, d_C_302, d_C_304, d_C_309, d_C_316, d_C_324, d_C_327, d_C_error_330, d_C_350, d_C_320_366, 
                  d_C_369, d_C_375, d_C_403, d_C_409, d_CLK_c, d_CLK_error_253, d_CLK_x, d_CLK_stable, d_CLK_x0_0, d_CLK_C_cc_328_0, d_CLK_bb_0, d_CLK_19, d_CLK_24, d_CLK_d_0, d_CLK_548, d_CLK_error_0, d_CLK_518, d_CLK_520, d_CLK_564, d_CLK_576, 
                  d_CLK_580, d_CLK_x2_0, d_CLK_x21_0, d_CLK_XZX_186_0, d_CLK_x1_0, done, XZX, done_986, XZX_997, done_998, XZX_1008, done_1015, XZX_1025, done_1026, XZX_1037, done_1038, done_1049, done_1059, XZX_1065, done_1066, XZX_1079, done_1087, 
                  done_1097, done_1105, done_1113, XZX_1119, done_1120, XZX_1127, done_1128, done_1138, XZX_1147, done_1148, XZX_1159, done_1160, done_1171, XZX_1183, XZX_1189, done_1190, done_1201, XZX_1210, done_1211, XZX_1223, XZX_1229, done_1230, 
                  done_1246, done_1256, done_1270, done_1278, XZX_1287, done_1288, XZX_1299, done_1300, XZX_1309, done_1310, XZX_1322, done_1331, XZX_1341, done_1342, done_1354, done_1364, XZX_1374, done_1375, done_1386, XZX_1395, done_1396, XZX_1407, 
                  done_1408, XZX_1417, done_1418, XZX_1430, XZX_1436, done_1437, XZX_1449, done_1450, done_1469, XZX_1478, done_1479, XZX_1488, done_1489, XZX_1501, done_1502, done_1513, done_1527, XZX_1540, done_1546, XZX_1552, done_1553, XZX_1566, 
                  done_1573, done_1581, XZX_1594, done_1600, XZX_1609, done_1610, XZX_1619, XZX_1626, done_1627, done_1638, XZX_1647, done_1648, XZX_1657, XZX_1664, done_1665, done_1676, done_1684, XZX_1690, done_1691, XZX_1698, done_1699, done_1709, 
                  done_1717, XZX_1726, done_1727, XZX_1739, XZX_1745, done_1746, done_1762, done_1772, done_1782, done_1790, XZX_1802, done_1803, XZX_1816, XZX_1823, done_1824, done_1839, done_1849, done_1859, done_1869, done_1883, done_1893, done_1900, 
                  XZX_1913, done_1919, done_1927, done_1935, XZX_1948, done_1954, XZX_1960, done_1961, XZX_1974, done_1981, XZX_1993, done_2000, done_2014, XZX_2020, done_2021, done_2036, done_2043, done_2050, done_2058, XZX_2064, done_2065, XZX_2078, 
                  done_2085, done_2093, done_2101, done_2109, XZX_2118, done_2119, done_2136, XZX_2142, done_2143, done_2153, done_2161, done_2169, done_2181, done_2189, done_2197, done_2205, done_2213, done_2221, done_2229, done_2237, done_2245, 
                  done_2253, done_2261, done_2269, done_2277, done_2285, done_2293, done_2301, done_2309, done_2319, done_2332, done_2345, done_2358, done_2371, done_2397, done_2410, done_2422, done_2434, done_2446, done_2458, done_2470, done_2482, 
                  done_2494, done_2506;
         process ACT_CLK_c =
              ( )
            (| CLK_c ^= C_error_360 ^= C_error_330 ^= C_320_366 ^= C_403
             | (| CLK_C_cc_328 := when C_C_error
                | CLK_C_cc_328 ^= C_cc_328 ^= C_error ^= d_C_cc_328_internal ^= d_C_error_internal ^= d_CLK_C_cc_328_0 ^= d_C_cc_328 ^= d_C_error
                | ACT_CLK_C_cc_328{}
                |)
             | (| CLK_bb := when OK
                | CLK_bb ^= C_320 ^= C_369 ^= C_299 ^= C_350 ^= C_ ^= C_304 ^= C_302 ^= d_bb ^= d_C_d ^= d_C_ ^= d_C_320 ^= d_dd ^= d_aa ^= d_XZX ^= d_XZX_105 ^= d_cc ^= d_C_299 ^= d_C_302 ^= d_C_304 ^= d_C_350 ^= d_C_369 ^= d_CLK_bb_0 ^= XZX_1341 ^= 
                  XZX_1594 ^= XZX_1802 ^= XZX_1816 ^= XZX_1823 ^= XZX_1948 ^= XZX_1960 ^= XZX_1974 ^= XZX_1993 ^= XZX_2064 ^= XZX_2078
                | ACT_CLK_bb{}
                |)
             | (| CLK_error := when C_error_360
                | CLK_error ^= d_error_internal ^= d_CLK_error_0 ^= XZX ^= XZX_997 ^= d_error
                |)
             | (| CLK_443 := when C_403
                | CLK_443 ^= d_CLK_576
                |)
             | (| C_error_360 := C_error_330 or C_320_366
                | C_error_330 := left_tt ( C_error,C_C_error )
                | C_320_366 := left_tt ( C_320,OK )
                | C_403 := (C_372 and stable) when CLK_c
                | XZX_1079 := CostConst{__TC__#_real}()
                | XZX_1913 := CostConst{__TC__#_real}()
                |)
             |)
            where 
            event CLK_443;
            boolean C_error_360, C_320, C_error_330, C_320_366, C_403;
            process ACT_CLK_C_cc_328 =
                 ( )
               (| (| CLK_error_253 := when C_error
                   | CLK_error_253 ^= error_253 ^= d_error_253_internal ^= d_CLK_error_253 ^= d_error_253
                   |)
                | (| CLK_x := when C_cc_328
                   | CLK_x ^= d_x_internal ^= d_CLK_x ^= d_x
                   |)
                |)
            %ACT_CLK_C_cc_328%; 
            process ACT_CLK_bb =
                 ( )
               (| CLK_bb ^= C_d
                | (| CLK_x0 := when C_
                   | CLK_x0 ^= d_x0 ^= d_XZX_111 ^= d_CLK_x0_0 ^= XZX_1183 ^= XZX_1189
                   | XZX_1183 := CostConst{__TC__#_real}()
                   |)
                | (| CLK_d := when C_d
                   | CLK_d ^= d_d ^= d_CLK_d_0 ^= XZX_1309 ^= XZX_1322 ^= XZX_1374
                   | XZX_1322 := CostConst{__TC__#_real}()
                   |)
                | (| CLK_400 := when C_320
                   | CLK_400 ^= d_CLK_548 ^= XZX_1008
                   | XZX_1008 := CostConst{__TC__#_event}()
                   |)
                | (| C_d := C_350 and C_299
                   | C_320 := C_350 and C_304
                   | C_369 := C_ or C_302
                   | XZX_1594 := CostConst{__TC__#_real}()
                   | XZX_1816 := CostConst{__TC__#_real}()
                   | XZX_1948 := CostConst{__TC__#_real}()
                   | XZX_1974 := CostConst{__TC__#_real}()
                   | XZX_1993 := CostConst{__TC__#_real}()
                   | XZX_2078 := CostConst{__TC__#_real}()
                   |)
                |)
               where 
               event CLK_400;
               boolean C_d;
               end
            %ACT_CLK_bb%; 
            end
         %ACT_CLK_c%; 
         process ACT_CLK_x2 =
              ( )
            (| (| XZX_1223 := CostConst{__TC__#_real}()
                | XZX_1739 := CostConst{__TC__#_real}()
                |) |)
         %ACT_CLK_x2%; 
         end
      %ACT_CLK_stable%; 
      end
   %Q1_COST%; %(| C_406 := left_tt ( C_403,stable )
                | (d_C_406,done_2128) := CostLeftTT(d_C_403,d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
                | (d_C_cc_internal,done_2384) := CostInput{__TC__#_logical}(d_C_cc,d_CLK_c,NilHomoTypeValue when CLK_c)
                |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_Q1_COST%; 
