process equationSolving_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean error;
     )
   pragmas 
      main
   end pragmas
   (| (| CLK_stable := ^CLK_stable
       | ACT_CLK_stable{}
       |) |)
   where 
   constant real cst_epsilon = 0.00001;
   event CLK_stable;
   process ACT_CLK_stable =
        ( )
      (| CLK_stable ^= stable ^= yy ^= next_yy ^= biterate ^= mx ^= pre_next_yy ^= next_stable ^= s ^= XZX_147
       | (| CLK_66 := when biterate
          | CLK_67 := when (not biterate)
          |)
       | (| CLK_83 := when (XZX_147>=0.0)
          | CLK_84 := when (not (XZX_147>=0.0))
          |)
       | (| CLK_x2 := when (next_stable and biterate)
          | CLK_x2 ^= x2 ^= x_177
          | ACT_CLK_x2{}
          | CLK_91 := when (not (next_stable and biterate))
          |)
       | (| CLK_a := when stable
          | CLK_a ^= a ^= b ^= c
          | ACT_CLK_a{}
          | CLK_121 := when (not stable)
          |)
       | (| CLK_205 := CLK_x2 ^+ CLK_a |)
       | (| CLK_XZX_164 := CLK_x2 ^+ CLK_bb
          | CLK_XZX_164 ^= XZX_164
          | XZX_164 := (bb when CLK_bb) cell CLK_XZX_164 init 0.0e0
          |)
       | (| CLK_x21 := CLK_x2 ^+ CLK_x_1
          | CLK_x21 ^= x21
          | x21 := (x_177 when CLK_x2) default (x_1 when CLK_230)
          |)
       | (| CLK_215 := CLK_x21 ^+ CLK_213 |)
       | (| CLK_217 := CLK_x21 ^+ CLK_31 |)
       | (| CLK_x1 := CLK_x21 ^+ CLK_x
          | CLK_x1 ^= x1
          | x1 := (x21 when CLK_x21) default (x when CLK_232)
          |)
       | (| CLK_226 := CLK_215 ^+ CLK_bb_1 |)
       | (| CLK_230 := CLK_x_1 ^- CLK_x2 |)
       | (| CLK_232 := CLK_x ^- CLK_x21 |)
       | (| CLK_236 := CLK_stable ^- CLK_d |)
       | (| stable := next_stable$1 init true
          | yy := ((d/2.0) when CLK_d) default (pre_next_yy when CLK_236)
          | next_yy := (((yy+(mx/yy))/2.0) when CLK_66) default (yy when CLK_67)
          | biterate := CLK_d default ((not stable) when CLK_236)
          | mx := (d when CLK_d) cell CLK_stable init 0.0e0
          | pre_next_yy := next_yy$1 init 1.0
          | next_stable := s<cst_epsilon
          | s := (XZX_147 when CLK_83) default ((-XZX_147) when CLK_84)
          | XZX_147 := next_yy-yy
          |)
       |)
      where 
      event CLK_236, CLK_232, CLK_230, CLK_226, CLK_x1, CLK_217, CLK_215, CLK_213, CLK_x21, CLK_XZX_164, CLK_205, CLK_x, CLK_121, CLK_a, CLK_91, CLK_x2, CLK_84, CLK_83, CLK_67, CLK_66, CLK_31, CLK_x_1, CLK_d, CLK_bb_1, CLK_bb;
      real x, d, bb;
      boolean stable;
      real x_1, yy, next_yy;
      boolean biterate;
      real mx, pre_next_yy;
      boolean next_stable;
      real s, XZX_147, XZX_164, x_177, x21;
      process ACT_CLK_x2 =
           ( )
         (| CLK_x2 ^= y ^= bb_110 ^= x_168
          | (| x2 := x_168
             | y := yy when CLK_x2
             | bb_110 := XZX_164 when CLK_x2
             | x_168 := -((bb_110-y)/2.0)
             | x_177 := -((bb_110+y)/2.0)
             |)
          |)
         where 
         real y, bb_110, x_168;
         end
      %ACT_CLK_x2%; 
      process ACT_CLK_a =
           ( )
         (| CLK_a ^= OK
          | (| CLK_bb := when OK
             | CLK_bb ^= bb
             | ACT_CLK_bb{}
             | CLK_bb_1 := when (not OK)
             | ACT_CLK_bb_1{}
             |)
          | (| CLK_error := CLK_31 ^+ CLK_err2
             | CLK_error ^= error
             | ACT_CLK_error{}
             |)
          | (| CLK_213 := CLK_error ^+ CLK_x |)
          | (| OK := a/=0.0 |)
          |)
         where 
         event CLK_error, CLK_err2;
         boolean OK, err2;
         process ACT_CLK_bb =
              ( )
            (| CLK_bb ^= cc ^= dd ^= aa ^= XZX_80 ^= XZX_84
             | (| CLK_d := when (dd>0.0)
                | CLK_d ^= d
                | d := dd when CLK_d
                | CLK := when (not (dd>0.0))
                |)
             | (| CLK_x_1 := when (dd=0.0)
                | CLK_x_1 ^= x_1
                | ACT_CLK_x_1{}
                | CLK_30 := when (not (dd=0.0))
                |)
             | (| CLK_31 := when (dd<0.0)
                | CLK_32 := when (not (dd<0.0))
                |)
             | (| CLK_198 := CLK_x_1 ^+ CLK_31 |)
             | (| CLK_200 := CLK_d ^+ CLK_198 |)
             | (| CLK_202 := CLK_d ^+ CLK_31 |)
             | (| bb := XZX_80/aa
                | cc := XZX_84/aa
                | dd := (bb*bb)-(4.0*cc)
                | aa := a when CLK_bb
                | XZX_80 := b when CLK_bb
                | XZX_84 := c when CLK_bb
                |)
             |)
            where 
            event CLK_202, CLK_200, CLK_198, CLK_32, CLK_30, CLK;
            real cc, dd, aa, XZX_80, XZX_84;
            process ACT_CLK_x_1 =
                 ( )
               (| CLK_x_1 ^= XZX_91
                | (| x_1 := (-XZX_91)/2.0
                   | XZX_91 := bb when CLK_x_1
                   |)
                |)
               where 
               real XZX_91;
               end
            %ACT_CLK_x_1%; 
            end
         %ACT_CLK_bb%; 
         process ACT_CLK_bb_1 =
              ( )
            (| CLK_bb_1 ^= bb_1 ^= cc_2
             | (| CLK_x := when (bb_1/=0.0)
                | CLK_x ^= x
                | ACT_CLK_x{}
                | CLK_139 := when (not (bb_1/=0.0))
                |)
             | (| CLK_err2 := when (bb_1=0.0)
                | CLK_err2 ^= err2
                | err2 := (cc_2/=0.0) when CLK_err2
                | CLK_151 := when (not (bb_1=0.0))
                |)
             | (| CLK_196 := CLK_x ^+ CLK_err2 |)
             | (| bb_1 := b when CLK_bb_1
                | cc_2 := c when CLK_bb_1
                |)
             |)
            where 
            event CLK_196, CLK_151, CLK_139;
            real bb_1, cc_2;
            process ACT_CLK_x =
                 ( )
               (| CLK_x ^= bb_212 ^= cc_213
                | (| x := -(cc_213/bb_212)
                   | bb_212 := bb_1 when CLK_x
                   | cc_213 := cc_2 when CLK_x
                   |)
                |)
               where 
               real bb_212, cc_213;
               end
            %ACT_CLK_x%; 
            end
         %ACT_CLK_bb_1%; 
         process ACT_CLK_error =
              ( )
            (| CLK_error ^= err_235
             | (| error := err_235
                | err_235 := CLK_31 default (err2 when CLK_err2)
                |)
             |)
            where 
            boolean err_235;
            end
         %ACT_CLK_error%; 
         end
      %ACT_CLK_a%; 
      end
   %ACT_CLK_stable%; 
   end
%equationSolving_TRA%; 
